> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stock earning reports

> Get earnings reports for a specified stock, including revenue, earnings per share, and links to relevant SEC documents and investor call recordings.



## OpenAPI

````yaml reference/securities/securities.yaml GET /securities/stock/financials/earnings
openapi: 3.1.0
info:
  title: Securities master reference
  description: >-
    Query general information about US stocks, including company name, sector,
    industry, market cap, financials, key trading statistics
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Securities
    description: Provides reference information about US stocks
    externalDocs:
      url: https://docs.ainvest.com/reference/securities
paths:
  /securities/stock/financials/earnings:
    get:
      tags:
        - Securities
      summary: Get earnings reports for a specified stock
      description: >-
        Get earnings reports for a specified stock, including revenue, earnings
        per share, and links to relevant SEC documents and investor call
        recordings.
      operationId: getStockEarnings
      parameters:
        - name: ticker
          in: query
          required: true
          description: US stock market ticker symbol, e.g. AAPL, TSLA, etc.
          schema:
            type: string
        - name: size
          in: query
          required: false
          description: Number of earnings reports to return, default is 5
          schema:
            type: integer
            default: 5
      responses:
        '200':
          description: Successful response in standard envelope.
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        period_name:
                          type: string
                          description: >-
                            Name of the period, e.g. Q2 2025. The fiscal periods
                            are specific for each company and they don't
                            necessarily match the calendar periods
                        period_end_date:
                          type: string
                          description: End date of the fiscal period, format YYYY-MM-DD
                        release_date:
                          type: string
                          description: >-
                            Release date of the earnings report, format
                            YYYY-MM-DD
                        eps_actual:
                          type: number
                          description: Earnings per share reported, in US dollars
                        eps_forecast:
                          type: number
                          description: >-
                            Earnings per share forecasted before the release
                            report, in US dollars
                        eps_surprise:
                          type: number
                          description: >-
                            Percentage value of difference between actual and
                            forecasted EPS
                        revenue_actual:
                          type: number
                          description: Revenue reported, in US dollars
                        revenue_forecast:
                          type: number
                          description: >-
                            Revenue forecasted before the released report, in US
                            dollars
                        revenue_surprise:
                          type: number
                          description: >-
                            Percentage value of difference between actual and
                            forecasted revenue
                        earnings_call_url:
                          type: string
                          description: >-
                            If available, a url to the full transcript of the
                            earnings investor call
                        earnings_call_summary:
                          type: string
                          description: AI-generated summary of the earnings call
                        sec_form_link:
                          type: string
                          description: Link to the official SEC 10-Q or 10-K form
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
        '400':
          description: Validation error, i.e. no stocks found or parameter is not specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status_code: 4012
                status_msg: Invalid param
components:
  schemas:
    Error:
      type: object
      properties:
        status_code:
          type: integer
          description: Business status code
        status_msg:
          type: string
          description: Error message
      required:
        - status_code
        - status_msg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````